org.apache.fop.complexscripts.fonts

## Class GlyphPositioningTable.MarkAnchor

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphPositioningTable.Anchor
  - - org.apache.fop.complexscripts.fonts.GlyphPositioningTable.MarkAnchor

Enclosing class:
  GlyphPositioningTable

    public static class GlyphPositioningTable.MarkAnchor
    extends GlyphPositioningTable.Anchor

The `MarkAnchor` class is a subclass of the `Anchor` class, adding a mark class designation.

### Constructor Summary

Constructors
Constructor and Description
`MarkAnchor(int markClass, GlyphPositioningTable.Anchor a)` Instantiate a MarkAnchor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMarkClass()`
`String` `toString()`

### Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphPositioningTable.Anchor

`getAlignmentAdjustment, getAnchorPoint, getX, getXDevice, getY, getYDevice`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarkAnchor

    public MarkAnchor(int markClass,
                      GlyphPositioningTable.Anchor a)

Instantiate a MarkAnchor

Parameters:
  `markClass` - the mark class
  `a` - the underlying anchor (whose fields are copied)

### Method Detail

#### getMarkClass

    public int getMarkClass()

Returns:
  the mark class

#### toString

    public String toString()

Overrides:
  `toString` in class `GlyphPositioningTable.Anchor`